package com.caimei365.manager.entity.caimei;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;
import lombok.Value;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/3/15
 */
@Data
public class CmBehaviorRecord {
    @ExcelIgnore
    private Integer recordId;
    /**
     * 访问人IP地址
     */
    @ExcelProperty(value = "ip", index = 0)
    private String ip;
    /**
     * ip对应地区地址
     */
    @ExcelProperty(value = "地区", index = 1)
    private String region;
    /**
     * 访问来源
     */
    @ExcelIgnore
    private String accessSource;
    /**
     * 访问客户端
     */
    @ExcelProperty(value = "访问客户端", index = 2)
    private String accessClient;
    /**
     *  用户id、0为游客
     */
    @ExcelIgnore
    private Integer userId;
    /**
     * 页面路径
     */
    @ExcelIgnore
    private String pagePath;
    /**
     * 页面类型
     */
    @ExcelIgnore
    private String pageType;
    /**
     * 页面标签
     */
    @ExcelIgnore
    private String pageLabel;
    /**
     * 商品图片
     */
    @ExcelIgnore
    private String productImage;
    /**
     * 商品ID
     */
    @ExcelIgnore
    private Integer productId;
    /**
     * 商品名称
     */
    @ExcelIgnore
    private String productName;
    /**
     * 访问时间
     */
    @ExcelIgnore
    private String accessTime;
    /**
     * 访问时长
     */
    @ExcelProperty(value = "访问时长", index = 13)
    private String accessDuration;
    /**
     * 访问日期
     */
    @ExcelProperty(value = "访问日期", index = 14)
    private String accessDate;
    @ExcelIgnore
    private String consultName;
    @ExcelIgnore
    private String consultMobile;
    /**
     * 最后访问时间
     */
    @ExcelIgnore
    private String lastAccessTime;
    /**
     * 是否是roos页面行为 1：用户行为、2：roos行为统计
     */
    @ExcelIgnore
    private String behaviorType;
    @ExcelIgnore
    private Integer count;

    /**
     * 公司类型
     */
    @ExcelProperty(value = "公司类型", index = 3)
    private String companyType;
    /**
     * 公司名称
     */
    @ExcelProperty(value = "公司名称", index = 5)
    private String corporateName;
    /**
     *  联系人
     */
    @ExcelProperty(value = "联系人", index = 6)
    private String contacts;
    /**
     * 手机号码
     */
    @ExcelProperty(value = "手机号码", index = 7)
    private String phoneNumber;

    @ExcelIgnore
    private Integer number;
    /**
     * 访问页面总数
     */
    @ExcelProperty(value = "访问页面总数", index = 12)
    private Integer numbers;
    /**
     * 公司类型
     */
    @ExcelIgnore
    private String userIdentity;

    /**
     * 机构ID
     */
    @ExcelIgnore
    private Integer clubId;
    /**
     * 导出使用id
     */
    @ExcelProperty(value = "id", index = 4)
    private Integer reId;
    /**
     * 机构公司名称
     */
    @ExcelIgnore
    private String name;
    /**
     * 机构简称
     */
    @ExcelIgnore
    private String cSname;
    /**
     * 机构联系人
     */
    @ExcelIgnore
    private String linkMan;
    /**
     * 联系手机
     */
    @ExcelIgnore
    private String contractMobile;
    /**
     * 用户名
     */
    @ExcelIgnore
    private String userName;
    /**
     * 注册IP
     */
    @ExcelIgnore
    private String registerIP;
    /**
     * 注册时间
     */
    @ExcelIgnore
    private String registerTime;
    /**
     * 注册开始时间--筛选
     */
    @ExcelIgnore
    private String registerStartTime;
    /**
     * 注册结束时间--筛选
     */
    @ExcelIgnore
    private String registerEndTime;
    /**
     * 供应商公司名称
     */
    @ExcelIgnore
    private String sname;
    /**
     * 供应商联系人
     */
    @ExcelIgnore
    private String slinkMan;
    /**
     * 联系手机
     */
    @ExcelIgnore
    private String scontractMobile;
    /**
     * 协销名称
     */
    @ExcelProperty(value = "协销名称", index = 8)
    private String spName;
    /**
     * 开始时间
     */
    @ExcelIgnore
    private String startTime;
    /**
     * 结束时间
     */
    @ExcelIgnore
    private String endTime;
    /**
     * 供应商ID
     */
    @ExcelIgnore
    private Integer shopId;
    /**
     * 页面类型下拉
     */
    @ExcelIgnore
    private String pageTypes;
    /**
     * 是否为今日数据 0今日数据 1往日数据
     */
    @ExcelIgnore
    private Integer todayType;
    /**
     * 关联供应商
     */
    @ExcelProperty(value = "关联供应商", index = 9)
    private String relevanceShop;
    /**
     * 标签
     */
    @ExcelProperty(value = "标签", index = 10)
    private String label;
    /**
     * 注册时间
     */
    @ExcelProperty(value = "注册时间", index = 11)
    private String addTime;
    /**
     * 页面查询条件
     */
    @ExcelIgnore
    private List<String> labels;
    /**
     * 导出标志
     */
    @ExcelIgnore
    private Integer exportType;
    /**
     * 父标签查询
     */
    @ExcelIgnore
    private String pageLabels;
}
