package com.caimei365.manager.entity.caimei.providers;

import java.io.Serializable;

import com.caimei365.manager.entity.caimei.CmRelatedImage;
import lombok.Data;
import lombok.experimental.Accessors;
import org.apache.ibatis.type.Alias;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;
import java.util.List;

/**
 * 对象 cm_providers
 *
 * @author Kaick
 * @date 2023-12-12
 */
@Accessors(chain = true)
@Data
@Alias("CmProviders")
public class CmProviders implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private String id;

    /**
     * 用户Id
     */
    private Integer userId;

    /**
     * 服务商名称
     */
    private String name;

    /**
     * 服务商级别为：1级，2级，3级
     */
    private Integer serviceLevel;

    /**
     * 服务商类型: 1个人，2企业
     */
    private Integer serviceCategory;
    /**
     * 状态：90上线，91下线
     */
    private Integer status;

    /**
     * 服务商地址
     */
    private String address;

    /**
     * 联系人
     */
    private String linkMan;

    /**
     * 联系电话
     */
    private String mobile;

    /**
     * 简介
     */
    private String text;

    /**
     * 服务商二维码
     */
    private String qrCodeImage;

    /**
     * 资格证书图片
     */
    private String qualificationImage;

    /**
     * 资格证书编号
     */
    private String qualificationId;


    /**
     * 创建人
     */
    private String createBy;

    /**
     * 修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;

    /**
     * 添加时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    /**
     * 相关简介图集合
     */
    private List<CmRelatedImage> textRelateds;

    /**
     * 相关资料文件集合
     */
    private List<CmRelatedImage> infoRelateds;


    //服务商合同
    /**
     * 合同起始日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date contractStartDate;

    /**
     * 合同截止日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date contractEndDate;

    /**
     * 合同对象
     */
    private CmProvidersContract contract;
}



