package com.caimei365.manager.entity.caimei.providers;

import java.util.Date;

import com.caimei365.manager.entity.caimei.CmRelatedImage;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.List;

import lombok.Data;
import lombok.experimental.Accessors;
import org.apache.ibatis.type.Alias;

/**
 * 对象 cm_providers_contract
 *
 * @author Kaick
 * @date 2023-12-12
 */
@Accessors(chain  = true )
@Data
@Alias("CmProvidersContract")
public class CmProvidersContract implements Serializable
{
    private static final long serialVersionUID = 1L;

    /** id */
    private String id;

    /** 服务商id */
    private Integer providersId;

    /** 合同编号 */
    private String contractId;

    /** 合同起始日期 */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date contractStartDate;

    /** 合同截止日期 */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date contractEndDate;


    /**
     * 相关合同文件集合
     */
    private List<CmRelatedImage> contractRelateds;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;

    /**
     * 添加时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    /**
     * 是否新增标志
     */
    private Boolean flag=true;


}



