package com.caimei365.manager.service.caimei.listener;

import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.event.AnalysisEventListener;
import com.caimei365.manager.dao.user.CmMarketShopDao;
import com.caimei365.manager.entity.caimei.shopImport.ReadVolume;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * Description
 *
 * @author : hzg
 * @date : 2023/11/23
 */
public class ReadVolumeListener extends AnalysisEventListener<ReadVolume> {

    private Integer marketReportId;

    private CmMarketShopDao marketShopDao;

    private final Integer SIZE = 3;

    private final List<ReadVolume> dataList = new ArrayList();

    public ReadVolumeListener(Integer marketReportId, CmMarketShopDao marketShopDao) {
        this.marketReportId = marketReportId;
        this.marketShopDao = marketShopDao;
    }

    @Override
    public void invoke(ReadVolume data, AnalysisContext analysisContext) {
        dataList.add(data);
        if (dataList.size() >= SIZE) {
            saveData(dataList);
            dataList.clear();
        }
    }

    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {
        System.out.println("-----------阅读量----------");
        System.out.println("dataList======"+dataList);
        saveData(dataList);
    }

    @Override
    public boolean hasNext(AnalysisContext analysisContext) {
        return true;
    }

    /**
     * 保存数据
     */
    public void saveData(List<ReadVolume> dataList) {
        dataList.forEach(readVolume -> {
            readVolume.setMarketReportId(marketReportId);
            marketShopDao.insertMarketReadVolume(readVolume);
        });
    }
}
