package com.caimei365.manager.service.caimei.listener;

import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.event.AnalysisEventListener;
import com.caimei365.manager.dao.user.CmMarketShopDao;
import com.caimei365.manager.entity.caimei.shopImport.Stage;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * Description
 *
 * @author : hzg
 * @date : 2023/11/23
 */
@Slf4j
public class StageListener extends AnalysisEventListener<Stage> {

    private Integer marketReportId;

    private CmMarketShopDao marketShopDao;

    private final Integer SIZE = 3;

    private final List<Stage> dataList = new ArrayList();

    public StageListener(Integer marketReportId, CmMarketShopDao marketShopDao) {
        this.marketReportId = marketReportId;
        this.marketShopDao = marketShopDao;
    }

    @Override
    public void invoke(Stage data, AnalysisContext analysisContext) {
        dataList.add(data);
        if (dataList.size() >= SIZE) {
            saveData(dataList);
            dataList.clear();
        }
    }

    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {
        System.out.println("-----------阶段描述----------");
        System.out.println("dataList======="+dataList);
        saveData(dataList);
    }

    @Override
    public boolean hasNext(AnalysisContext analysisContext) {
        return true;
    }

    /**
     * 保存数据
     */
    public void saveData(List<Stage> dataList) {
        dataList.forEach( stage -> {
            log.info("dataList"+dataList.size());
            stage.setMarketReportId(marketReportId);
            marketShopDao.insertMarketStage(stage);
        });
    }
}
