package com.caimei365.manager.service.caimei.user;

import com.caimei365.manager.entity.PaginationVo;
import com.caimei365.manager.entity.ResponseJson;
import com.caimei365.manager.entity.caimei.CmShop;
import com.caimei365.manager.entity.caimei.cmUser.CmMarketCode;
import com.caimei365.manager.entity.caimei.shopImport.CmMarketReport;
import com.caimei365.manager.entity.caimei.shopImport.CmMarketShop;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.Map;

/**
 * Description
 *
 * @author : hzg
 * @date : 2023/12/14
 */
public interface CmMarketShopService {

    /**
     * 上传供应商营销logo
     * @param id
     * @param logo
     * @return
     */
    ResponseJson uploadShopLogo(Integer id, String logo);

    /**
     * 数据报表列表
     * @param marketId
     * @param reportName
     * @param pageNum
     * @param pageSize
     * @return
     */
    ResponseJson<PaginationVo<CmMarketReport>> getMarketReport(Integer marketId, String reportName, int pageNum, int pageSize);

    /**
     * 根据数据报表Id 查询报表数据
     * @param id
     * @return
     */
    ResponseJson<CmMarketReport> getMarketReportById(Integer id);

    /**
     * 启用数据报表
     * @param id
     * @return
     */
    ResponseJson updateMarketReportVisible(Integer id);

    /**
     * 删除数据报表
     * @param id
     * @return
     */
    ResponseJson updateMarketReport(Integer id);

    /**
     * 上传zip、rar文件到服务器并解压
     * @param reportFile
     * @return
     */
    ResponseJson saveMarketReport(MultipartFile reportFile) throws IOException;

    /**
     * 保存报表数据
     * @param marketId
     * @param reportDate
     * @param reportName
     * @param filePath
     * @return
     */
    ResponseJson saveReport(Integer marketId, Integer id, String reportDate, String reportName, String filePath) throws IOException;

    /**
     * 报表数据预览 -- 生成预览码
     * @param id
     * @return
     */
    ResponseJson<CmMarketCode> preview(Integer id);
}
